GET
/api/v2/referrals/accounting/monthlyGET /api/v2/referrals/accounting/monthly
Authentication
Send your API key in the x-api-key header on every request.
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| month (query) | string | No | |
| currency (query) | string | No | |
| programId (query) | string (uuid) | No | |
| asOf (query) | string (date-time) | No |
Responses
200 — OK
| Field | Type | Required | Description |
|---|---|---|---|
| Month | string | Yes | |
| Currency | string | Yes | |
| PeriodStart | string (date-time) | Yes | |
| PeriodEndExclusive | string (date-time) | Yes | |
| AsOf | string (date-time) | Yes | |
| IsComplete | boolean | Yes | |
| IsRestated | boolean | Yes | |
| OpeningEarnedBalance | unknown | Yes | |
| Accrued | unknown | Yes | |
| EntitlementAdjustments | unknown | Yes | |
| ActualCashPaid | unknown | Yes | |
| Offsets | unknown | Yes | |
| ClosingEarnedBalance | unknown | Yes | |
| OpeningReservedExposure | unknown | Yes | |
| ReservationMovement | unknown | Yes | |
| ClosingReservedExposure | unknown | Yes | |
| UnearnedReservedExposure | unknown | Yes | |
| Programs | array of ReferralAccountingProgramReport | Yes | |
| Warnings | array of string | Yes | |
| ClosingEarnedLiability | unknown | No | |
| ClosingRecoveryReceivable | unknown | No |
Example request
curl -X GET "https://{base_url}/api/v2/referrals/accounting/monthly" \
-H "x-api-key: YOUR_API_KEY"This page is generated from the live OpenAPI specification and always matches the current API.